Debian Bug report logs - #597449
pulseaudio over TCP not working on armel due to libasyncns0 failing

version graph

Package: libasyncns0; Maintainer for libasyncns0 is Tanguy Ortolo <tanguy+debian@ortolo.eu>; Source for libasyncns0 is src:libasyncns.

Reported by: Daniel Maier <nusse@teamidiot.de>

Date: Sun, 19 Sep 2010 20:45:02 UTC

Severity: grave

Tags: patch

Merged with 566139

Found in version libasyncns/0.3-1

Fixed in version libasyncns/0.3-1.1

Done: Tanguy Ortolo <tanguy+debian@ortolo.eu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>:
Bug#597449; Package libpulse0. (Sun, 19 Sep 2010 20:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Maier <nusse@teamidiot.de>:
New Bug report received and forwarded. Copy sent to Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>. (Sun, 19 Sep 2010 20:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Maier <nusse@teamidiot.de>
To: submit@bugs.debian.org
Subject: libpulse0 fails to connect to pulseaudio sink over TCP
Date: Sun, 19 Sep 2010 22:30:48 +0200
Package: libpulse0
Version: 0.9.21-3
Severity: grave

libpulse0 fails to connect to a pulseaudio sink when invoked like:

$ PULSE_SERVER=tcp:10.22.0.21 PULSE_LOG=99 paplay -vvvvv question.wav
Opening a playback stream with sample specification 's16le 2ch 44100Hz' and channel map 'front-left,front-right'.
Using shared memory pool with 1024 slots of size 64.0 KiB each, total size is 64.0 MiB, maximum usable slot size is 65496
Trying to connect to 10.22.0.21...
Connection failure: Connection refused

It always fails with "Connection refused" but tcpdump reveals that there
is no connection attempt. If a hostname is used, tcpdump shows that the
hostname is successfully resolved, but it results in the same behaviour.

The machine arch is armel:
Linux bernd 2.6.32-5-orion5x #1 Fri Aug 13 06:13:20 UTC 2010 armv5tel GNU/Linux

This problem lies somewhere in the asynchronous dns resolving, because
compiling the Debian package with --disable-asyncns it works. I am not able to
confirm wether this is a armel specific bug, but with the same versions installed
on AMD64 it works fine.

Apart from that the error message might be wrong and is misleading.




Information forwarded to debian-bugs-dist@lists.debian.org, Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>:
Bug#597449; Package libpulse0. (Sat, 27 Nov 2010 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>. (Sat, 27 Nov 2010 18:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 597449@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <didier@raboud.com>
To: Daniel Maier <nusse@teamidiot.de>
Cc: 597449@bugs.debian.org
Subject: Re: libpulse0 fails to connect to pulseaudio sink over TCP
Date: Sat, 27 Nov 2010 19:19:33 +0100
[Message part 1 (text/plain, inline)]
Le Sunday 19 September 2010 22:30:48 Daniel Maier, vous avez écrit :
> Package: libpulse0
> Version: 0.9.21-3
> Severity: grave
> 
> libpulse0 fails to connect to a pulseaudio sink when invoked like:
> 
> $ PULSE_SERVER=tcp:10.22.0.21 PULSE_LOG=99 paplay -vvvvv question.wav
> Opening a playback stream with sample specification 's16le 2ch 44100Hz' and
> channel map 'front-left,front-right'. Using shared memory pool with 1024
> slots of size 64.0 KiB each, total size is 64.0 MiB, maximum usable slot
> size is 65496 Trying to connect to 10.22.0.21...
> Connection failure: Connection refused
> 
> It always fails with "Connection refused" but tcpdump reveals that there
> is no connection attempt. If a hostname is used, tcpdump shows that the
> hostname is successfully resolved, but it results in the same behaviour.
> 
> The machine arch is armel:
> Linux bernd 2.6.32-5-orion5x #1 Fri Aug 13 06:13:20 UTC 2010 armv5tel
> GNU/Linux
> 
> This problem lies somewhere in the asynchronous dns resolving, because
> compiling the Debian package with --disable-asyncns it works. I am not able
> to confirm wether this is a armel specific bug, but with the same versions
> installed on AMD64 it works fine.
> 
> Apart from that the error message might be wrong and is misleading.

Hi Daniel, and thanks for your bugreport,

Here at the BSP Bern, we tried to reproduce your bug and that's our progress so far:

On machine A (amd64)
	pulseaudio installed
	pacmd launched:
	>> load-module module-native-protocol-tcp listen=0.0.0.0 port=11223 auth-anonymous=1

On machine B (amd64)
	PULSE_SERVER=tcp:10.22.0.21:11223 PULSE_LOG=99 paplay -vvvvv question.wav

And machine A plays question.wav from machine B; but that's between amd64's. Then 	we 
tried with a GuruPlug (armel) as machine B, and it fails, as you claims.

So now we are currently compiling pulseaudio in armel without optimisation in order to 
hunt that bug down.

So keep tuned.

Cheers, OdyX (writer, the one doing the job is Gaudenz).

-- 
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
didier@raboud.com
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'libpulse0' to 'libasyncns0'. Request was from Gaudenz Steinlin <gaudenz@debian.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 14:03:12 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions pulseaudio/0.9.21-3. Request was from Gaudenz Steinlin <gaudenz@debian.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 14:03:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'pulseaudio over TCP not working on armel due to libasyncns0 failing' from 'libpulse0 fails to connect to pulseaudio sink over TCP' Request was from Gaudenz Steinlin <gaudenz@debian.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 14:03:13 GMT) Full text and rfc822 format available.

Merged 566139 597449. Request was from Gaudenz Steinlin <gaudenz@debian.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 14:03:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, CJ van den Berg <cj@vdbonline.com>:
Bug#597449; Package libasyncns0. (Sun, 28 Nov 2010 14:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to CJ van den Berg <cj@vdbonline.com>. (Sun, 28 Nov 2010 14:09:09 GMT) Full text and rfc822 format available.

Message #23 received at 597449@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: 597449 <597449@bugs.debian.org>
Cc: control@bugs.debian.org
Subject: reassing to libasyncns0
Date: Sun, 28 Nov 2010 15:01:12 +0100
[Message part 1 (text/plain, inline)]
reassign 597449 libasyncns0
retitle 597449 pulseaudio over TCP not working on armel due to libasyncns0 failing 
merge 597449 566139
Thanks

After some debuging with gdb it turned out that this bug is caused by
libasyncns and that the corresponding bug there is already filed ans
has a patch...

Gaudenz
-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~
[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:47:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:56:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.